> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapio.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest change

> The most recently detected change.



## OpenAPI

````yaml get /v1/monitors/{id}/changes/latest
openapi: 3.1.0
info:
  title: Scrapio
  version: 1.0.0
  description: >-
    Turn any URL into structured data. Fetch raw HTML, crawl sites, extract
    structured content, interact with dynamic pages, and search the web through
    one API.
  contact:
    name: Scrapio Support
    url: https://scrapio.dev
  license:
    name: Proprietary
servers:
  - url: https://api.scrapio.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Fetch
  - name: Crawl
  - name: Map
  - name: Interact
  - name: Search
  - name: Google
  - name: Fast Search
  - name: Jobs
  - name: YouTube
  - name: Amazon
  - name: Walmart
  - name: Booking
  - name: Agoda
  - name: Airbnb
  - name: ChatGPT
  - name: Perplexity
  - name: Gemini
  - name: Bing
  - name: Reddit
  - name: TikTok
  - name: Apple App Store
  - name: Target
  - name: Monitors
paths:
  /v1/monitors/{id}/changes/latest:
    get:
      tags:
        - Monitors
      summary: Get the latest detected change
      operationId: getLatestMonitorChange
      parameters:
        - name: id
          in: path
          required: true
          description: Monitor id.
          schema:
            type: string
            example: sch_abc123
      responses:
        '200':
          description: The most recently detected change.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorLatestChangeResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Monitor not found, or no changes detected yet.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl https://api.scrapio.dev/v1/monitors/sch_abc123/changes/latest \
              -H "Authorization: Bearer $SCRAPIO_API_KEY"
components:
  schemas:
    MonitorLatestChangeResponse:
      type: object
      properties:
        request_id:
          type: string
        id:
          type: string
        scheduleId:
          type: string
        tenantId:
          type: string
        runId:
          type: string
        previousRunId:
          anyOf:
            - type: string
            - type: 'null'
        changes:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              previousValue: {}
              newValue: {}
            required:
              - field
              - previousValue
              - newValue
        detectedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - request_id
        - id
        - scheduleId
        - tenantId
        - runId
        - previousRunId
        - changes
        - detectedAt
    ErrorResponse:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
        diagnostics:
          type: object
          properties:
            outcome:
              type: string
              enum:
                - failed
            retryable:
              type: boolean
            blocked:
              type: boolean
            timed_out:
              type: boolean
          required:
            - outcome
            - retryable
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````